
all: test

init:
	$(MAKE) --always-make .terraform

test: format validate

validate: .terraform
	terraform validate

format: .terraform
	terraform fmt --recursive .

clean:
	rm -rf terraform.tfstate.d .terraform

.terraform:
	terraform init -backend=false

.PHONY: all init validate format clean test
